Skip to main content
Get edge network instance status
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

Response

A successful response.

Network instance provides Edge applications a variety of connectivity choices for all types of networks. This enables logical secure connectivity between Edge applications within a single Edge node and within a logical group of Edge nodes. This provides detailed status of a Network instance.

id
string
read-only

System defined universally unique Id of the network instance

Pattern: [0-9A-Za-z-]+
name
string

User defined name of the network instance, unique across the enterprise. Once object is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
deviceId
string
runState
enum<string>
default:RUN_STATE_UNSPECIFIED
  • RUN_STATE_ONLINE: Entity Online
  • RUN_STATE_HALTED: Entity Halted
  • RUN_STATE_INIT: Entity Initializing
  • RUN_STATE_REBOOTING: Entity Rebooting
  • RUN_STATE_OFFLINE: Entity Offline
  • RUN_STATE_UNKNOWN: Entity state Unknown
  • RUN_STATE_UNPROVISIONED: Entity Unprovisioned
  • RUN_STATE_PROVISIONED: Entity Provisioned
  • RUN_STATE_SUSPECT: Entity Suspect
  • RUN_STATE_DOWNLOADING: Edge-node downloading entity artifacts
  • RUN_STATE_RESTARTING: Entity Restarting
  • RUN_STATE_PURGING: Entity Purging
  • RUN_STATE_HALTING: Entity Halting
  • RUN_STATE_ERROR: Entity encountered an error
  • RUN_STATE_VERIFYING: Verification of downloaded Artifacts in Progress.
  • RUN_STATE_LOADING: Loading of Artifacts into local datastore in Progress.
  • RUN_STATE_CREATING_VOLUME: Volume creation from artifacts in Progress
  • RUN_STATE_BOOTING: Entity booting up
  • RUN_STATE_MAINTENANCE_MODE: Entity maintenance mode
  • RUN_STATE_START_DELAYED: Application start delayed as per configuration
  • RUN_STATE_BASEOS_UPDATING: Device BaseOs Update in Progress
  • RUN_STATE_PREPARING_POWEROFF: device preparing power off - shutting down all app instances
  • RUN_STATE_POWERING_OFF: device powering off from local profile server
  • RUN_STATE_PREPARED_POWEROFF: device prepared power off - all app instances are shut down
Available options:
RUN_STATE_UNSPECIFIED,
RUN_STATE_ONLINE,
RUN_STATE_HALTED,
RUN_STATE_INIT,
RUN_STATE_REBOOTING,
RUN_STATE_OFFLINE,
RUN_STATE_UNKNOWN,
RUN_STATE_UNPROVISIONED,
RUN_STATE_PROVISIONED,
RUN_STATE_SUSPECT,
RUN_STATE_DOWNLOADING,
RUN_STATE_RESTARTING,
RUN_STATE_PURGING,
RUN_STATE_HALTING,
RUN_STATE_ERROR,
RUN_STATE_VERIFYING,
RUN_STATE_LOADING,
RUN_STATE_CREATING_VOLUME,
RUN_STATE_BOOTING,
RUN_STATE_MAINTENANCE_MODE,
RUN_STATE_START_DELAYED,
RUN_STATE_BASEOS_UPDATING,
RUN_STATE_PREPARING_POWEROFF,
RUN_STATE_POWERING_OFF,
RUN_STATE_PREPARED_POWEROFF
upTimeStamp
string<date-time>
tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

clusterID
string

System defined universally unique clusterInstance ID, unique across the enterprise.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
projectId
string
kind
enum<string>
default:NETWORK_INSTANCE_KIND_UNSPECIFIED
Available options:
NETWORK_INSTANCE_KIND_UNSPECIFIED,
NETWORK_INSTANCE_KIND_TRANSPARENT,
NETWORK_INSTANCE_KIND_SWITCH,
NETWORK_INSTANCE_KIND_LOCAL,
NETWORK_INSTANCE_KIND_CLOUD,
NETWORK_INSTANCE_KIND_MESH,
NETWORK_INSTANCE_KIND_HONEYPOT
bridgeNum
integer<int64>
bridgeName
string
bridgeIPAddr
string
ipMappings
object[]
vifs
object[]
ipv4Eid
boolean
assignedAdapters
IoBundleStatus is used to store the status of the Input Output bundle · object[]
mtu
integer<int64>

Maximum transmission unit (MTU) to set for the network instance and all application interfaces connected to it

ipRoutes
object[]

List of IP routes used by the network instance

ports
string[]

List of ports used by the network instance

errInfo
DeviceError is used to store the error details of the hardware. · object[]
rawStatus
string